%define upstream_name    Web-Scraper
%define upstream_version 0.38

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Drop-in replacement for Web::Scraper to use LibXML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Web/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::Selector::XPath) >= 0.30.0
BuildRequires: perl(HTML::Tagset)
BuildRequires: perl(HTML::TreeBuilder) >= 3.230.0
BuildRequires: perl(HTML::TreeBuilder::XPath) >= 0.80.0
BuildRequires: perl(LWP) >= 5.827.0
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Base)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(URI)
BuildRequires: perl(XML::XPathEngine) >= 0.80.0
BuildRequires: perl(YAML)
BuildArch:  noarch

%description
Web::Scraper is a web scraper toolkit, inspired by Ruby's equivalent
Scrapi. It provides a DSL-ish interface for traversing HTML documents and
returning a neatly arranged Perl data structure.

The _scraper_ and _process_ blocks provide a method to define what segments
of a document to extract. It understands HTML and CSS Selectors as well as
XPath expressions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Mar 28 2022 umeabot <umeabot> 0.380.0-6.mga9
+ Revision: 1830742
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.380.0-5.mga8
+ Revision: 1498217
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.380.0-4.mga7
+ Revision: 1272582
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.380.0-3.mga6
+ Revision: 1035693
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.380.0-2.mga6
+ Revision: 965882
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.380.0-1.mga6
+ Revision: 838680
- update to 0.38

* Sun Oct 19 2014 umeabot <umeabot> 0.370.0-7.mga5
+ Revision: 788525
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.370.0-6.mga5
+ Revision: 741859
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.370.0-5.mga5
+ Revision: 732614
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.370.0-4.mga5
+ Revision: 686876
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.370.0-3.mga4
+ Revision: 516013
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.370.0-2.mga3
+ Revision: 374817
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.370.0-1.mga3
+ Revision: 315937
- update to 0.37

* Sat Nov 19 2011 kharec <kharec> 0.360.0-1.mga2
+ Revision: 169440
- update to 0.36

* Fri Oct 14 2011 jquelin <jquelin> 0.350.0-1.mga2
+ Revision: 154899
- update to 0.35

* Sat Feb 26 2011 jquelin <jquelin> 0.340.0-1.mga1
+ Revision: 60403
- update to 0.34

* Mon Jan 24 2011 jquelin <jquelin> 0.320.0-1.mga1
+ Revision: 36635
- mageia rebuild
- imported package perl-Web-Scraper


* Sat Jan 15 2011 cpan2dist 0.32-1mdv
- initial mdv release, generated with cpan2dist
